{% extends 'base.html.twig' %}

{% block body %}
    <div class="col-lg-12">
        <h3>Liste Groupes :</h3>
    </div>
    <div class="col-lg-12 table-responsive">
        <table class="table table-striped table-rounded-radius"  >
            <thead>
            <tr align="center">
                <th>Nom</th>
                <th>Classe</th>
                <th></th>
            </tr>
            </thead>
            <tbody>
            {% if groupes is empty %}
                <tr>
                    <td colspan="6">
                        <p>Il y a pas des données</p>
                    </td>
                </tr>
            {% else %}
                {% for groupe in groupes %}
                    <tr align="center">
                        <td align="center">{{ groupe.nom }}</td>
                        <td align="center">{{ groupe.classe.nom }}</td>
                        <td width="30%">
                            <a class="btn btn-primary fa-pull-right" style="margin-bottom: 10px;" href="{{ path('validation_new',{'groupe' : groupe.id }) }}">
                                <i class="fa fa-plus-square"></i>  Ajouter une validation
                            </a>
                        </td>
                    </tr>
                {% endfor %}
            {% endif %}
            </tbody>
        </table>
        <nav class="navigation align-content-center">
            {{ knp_pagination_render(validations) }}
        </nav>
    </div>

    <div class="col-lg-12">
        <h3>Liste Validation :</h3>
    </div>
    <div class="col-lg-12 table-responsive">
        <table class="table table-striped table-rounded-radius"  >
            <thead>
            <tr align="center">
                <th>Actions</th>
                <th>Validateur</th>
                <th>Groupe</th>
                <th>Date</th>
            </tr>
            </thead>
            <tbody>
            {% if validations is empty %}
                <tr>
                    <td colspan="6">
                        <p>Il y a pas des données</p>
                    </td>
                </tr>
            {% else %}
                {% for validation in validations %}
                    <tr align="center">
                        <td width="20%">
                            <a class="btn btn-danger" data-toggle="modal" data-target="#deleteAdmin{{ validation.id }}" style="color: white"><i class="icon ion-md-trash"></i></a>
                            <a class="btn btn-warning" href="{{ path('validation_edit', { 'id': validation.id }) }}" style="color: white"><i class="fa fa-edit"></i></a>
                        </td>
                        <td align="center">{{ validation.validateur.firstName }} {{ validation.validateur.lastName }}</td>
                        <td align="center">{{ validation.groupe.nom }}</td>
                        <td align="center">{{ validation.date | date }}</td>
                    </tr>
                    <div class="modal fade" id="deleteAdmin{{ validation.id }}" tabindex="-1" role="dialog" aria-labelledby="deleteAdmin" aria-hidden="true">
                        <div class="modal-dialog" role="document">
                            <div class="modal-content">
                                <div class="modal-header">
                                    <h5 class="modal-title" id="exampleModalLabel">Etes-vous sûr que vous voulez supprimer?</h5>
                                    <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                                        <span aria-hidden="true">&times;</span>
                                    </button>
                                </div>
                                <div class="modal-footer">
                                    <button type="button" class="btn btn-secondary" data-dismiss="modal">Fermer</button>
                                    <a  class="btn btn-danger" href="{{ path('validation_delete_get', { 'id': validation.id }) }}" >Supprimer</a>
                                </div>
                            </div>
                        </div>
                    </div>

                {% endfor %}
            {% endif %}
            </tbody>
        </table>
        <nav class="navigation align-content-center">
            {{ knp_pagination_render(validations) }}
        </nav>
    </div>
{% endblock %}
